# Address book entry created

Sent when an owned external bank account or wallet has been added to the address book and is awaiting review.

Product: Direct Trade API
Event reference version: 0.1.0 (current)
OpenAPI contract: https://docs.axiym.io/openapi/direct-trade-api/events/0.1.0.yaml
Canonical page: https://docs.axiym.io/direct-trade-api/events/0.1.0/address-book-entry/onDestinationCreated

[Complete reference with related definitions](/direct-trade-api/events/0.1.0/address-book-entry/onDestinationCreated.full.md)

## POST /webhooks/destination.created

## Authentication

```json
{
  "security": [],
  "securitySchemes": {}
}
```

## Parameters

### header: X-Signature

```json
{
  "name": "X-Signature",
  "in": "header",
  "required": true,
  "schema": {
    "type": "string"
  },
  "description": "Ed25519 signature of the raw request body."
}
```

### header: X-Key-Id

```json
{
  "name": "X-Key-Id",
  "in": "header",
  "required": true,
  "schema": {
    "type": "string",
    "format": "uuid"
  },
  "description": "Identifier of the public key used to sign the delivery."
}
```

### header: X-Algorithm

```json
{
  "name": "X-Algorithm",
  "in": "header",
  "required": true,
  "schema": {
    "type": "string",
    "const": "Ed25519"
  },
  "description": "Signature algorithm used for the delivery."
}
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "id",
          "timestamp",
          "type",
          "data"
        ],
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "Event ID. Use this for de-duplication.",
            "examples": [
              "3fa85f64-5717-4562-b3fc-2c963f66afa6"
            ]
          },
          "timestamp": {
            "type": "string",
            "format": "date-time",
            "description": "Event timestamp. Formatted in ISO 8601.",
            "examples": [
              "2026-07-14T20:08:00Z"
            ]
          },
          "type": {
            "type": "string",
            "const": "destination.created"
          },
          "data": {
            "$ref": "#/components/schemas/DestinationEventData"
          }
        }
      }
    }
  }
}
```

## Responses

### 200

```json
{
  "description": "Acknowledged by your endpoint."
}
```

## Operation metadata

```json
{
  "tags": [
    "Address book entry"
  ],
  "operationId": "onDestinationCreated"
}
```

## Referenced schemas

Fetch the relevant schema to inspect its fields, constraints and related types.

- [`#/components/schemas/DestinationEventData`](/direct-trade-api/events/0.1.0/schemas/DestinationEventData.md)
